Subject: RE: Problems with Mercury
From: [email-masked] (Dominique de Waleffe)

10 Sep 1998 22:59:09 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: <[email-masked]>, <[email-masked]>

Mercury cannot in its current state be compiled with b19.

Fergus Henderson found a problem in the gcc generated code and there might also be problems with the GC. 

There should be a new release of Mercury this month (so says te Melbourne page) but I don't know whether the incompatibility with b19 will be resolved.

The latest cygwin known to work with Mercury is b18.

D.

PS 1: For Mercury related questions, the mercury-users list is a better place than here....
PS 2: We are starting to work on a win32 version of Mercury which will not need cygwin.

-- !!! NEW PHONE # !!!
Dominique de Waleffe	Email: [email-masked], [email-masked]
Mission Critical
Tel: +32 2 757 10 15	Fax: +32 2 759 27 60

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of [email-masked]
> Sent: Tuesday, September 08, 1998 11:21 PM
> To: [email-masked]
> Subject: Problems with Mercury
> 
> 
> Has anyone successfully compiled and installed Mercury lately?
> 
> I'm using B19.3 (coolview) and last weeks egcs and bintools from Mumit
> Kahn's ftp site, on an NT4.0 SP3.  I'm trying to compile and install
> Mercury 0.7, which I also downloaded last week.  
> 
> Also, I have installed a few other odds and ends, such as Andy Piper's
> autoconfig, Ernie Boyd's install script, and /bin/sh is a copy of 
> /bin/bash.-
> 
> Tried out the system on some other things first.  (Well, I tried out
> some of it before installing egcs...)  From the FSF-GNU archives,
> Hello, genscript, gdbm, pretty much compile, install, and run, 
> (almost) out of
> the box.
> 
> Here is my Mercury history :
> 
> 1.  I followed directions in the README.MSwin32 file.
> (run 'sh configure,'  add a patch to Mmakefile, run make, run 
> make install). 
> 
> 
> 2.  The first time I tried the 'make', the whole machine hung at some
> point in the rather long process.  I had to simply turn it off to get
> it back.  No mouse response, no keybord response at all.
> 
> 3.  After I restarted (the next day, as it turns out), and checking
> that things seemed to be working pretty well, I reran make.
> Unfortunately, I forgot to save 'make-all.log' first.  This time, 
> the make apparently succeded. 
> 
> 4.  After running 'make install,' tried to compile some of the samples
> with mmake (and then with plain mmc).  Found that nothing worked 
> because the files mmc and mmake are shell scripts, and the configure
> and make process had generated them with ^Ms at the newline.  Used vim
> to :%s/^M// from all of the shell scripts.
> 
> 5. Now the shell scripts run, but they eventually call 
> .../mercury_compile (which I changed to mercury_compile.exe - but that
> didn't make any difference in what follows).  Now I get the result:
> 
> ---Quote:
> bash-2.01$ mmc cat.m
> (C:\DATA\0058744\cygnus\usr\local\mercury-0.7\lib\mercury\bin\i386
> -pc-cygwin32\m
> ercury_compile.exe 1017) Exception: STATUS_ACCESS_VIOLATION
> (C:\DATA\0058744\cygnus\usr\local\mercury-0.7\lib\mercury\bin\i386
> -pc-cygwin32\m
> ercury_compile.exe 1017) Dumping stack trace to mercury_compile.exe.core
> bash-2.01$
> ---End Quote.
> 
> The error messages come after some time, not instantly.
> 
> 
> Any suggestions?
> 
> Thanks,
> 
> John Velman
> [email-masked]
> 
> 
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".